Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate Class Reference

Parser for ContentCreate. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate:

## Public Member Functions
| __construct (ContentService $contentService, ContentTypeService $contentTypeService, FieldTypeParser $fieldTypeParser, LocationCreate $locationCreateParser, ParserTools $parserTools)
| Construct. More...
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $contentService
| $contentTypeService
| $fieldTypeParser
| $locationCreateParser
| $parserTools
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for ContentCreate.

Definition at line 22 of file ContentCreate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate::__construct | ( | ContentService | $contentService,
|  | ContentTypeService | $contentTypeService,
|  | FieldTypeParser | $fieldTypeParser,
|  | LocationCreate | $locationCreateParser,
|  | ParserTools | $parserTools
| ) |  |

Construct.

Parameters

  \eZ\Publish\API\Repository\ContentService | $contentService |
  \eZ\Publish\API\Repository\ContentTypeService | $contentTypeService |
  \eZ\Publish\Core\REST\Common\Input\FieldTypeParser | $fieldTypeParser |
  \eZ\Publish\Core\REST\Server\Input\Parser\LocationCreate | $locationCreateParser |
  \eZ\Publish\Core\REST\Common\Input\ParserTools | $parserTools |

Definition at line 68 of file ContentCreate.php.

References eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate\$contentService, eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate\$contentTypeService, eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate\$fieldTypeParser, eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate\$locationCreateParser, and eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate\$parserTools.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \eZ\Publish\Core\REST\Server\Values\RestContentCreateStruct

Definition at line 90 of file ContentCreate.php.

## Member Data Documentation

## ◆ $contentService

eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate::$contentService
| protected

Definition at line 29 of file ContentCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate\__construct().

## ◆ $contentTypeService

eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate::$contentTypeService
| protected

Definition at line 36 of file ContentCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate\__construct().

## ◆ $fieldTypeParser

eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate::$fieldTypeParser
| protected

Definition at line 43 of file ContentCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate\__construct().

## ◆ $locationCreateParser

eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate::$locationCreateParser
| protected

Definition at line 50 of file ContentCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate\__construct().

## ◆ $parserTools

eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate::$parserTools
| protected

Definition at line 57 of file ContentCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\ContentCreate\__construct().

The documentation for this class was generated from the following file:

- ContentCreate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.